var win1 = Titanium.UI.createWindow({  
    title:'Metro MX - Ubicame',
    backgroundColor: '#000'
});

var conceptos =new Array('animal que da leche','animal que ladra','herramienta de cocina','herramienta de mecanica','herramienta de dibujo','animal que vuela','objeto muy pesado','objeto muy ligero','objeto que flota en el agua','objeto que muestra un reflejo');
var imagenes= new Array('vaca','perro','licuadora','taladro','compas','abeja','pesas','pluma','lancha','espejo');
var pruebas=new Array(3);


var alto= Titanium.Platform.displayCaps.platformHeight;
var ancho= Titanium.Platform.displayCaps.platformWidth;

var tTitulo= Ti.UI.createLabel({
	text : 'Ejercicio de Atención espacial', top:'20%',left:'5%',width:'auto',height:'auto',
    font : {fontFamily:'Marker Felt', fontWeight:'bold'},
});
var bInstrucciones= Ti.UI.createButton({
	title: 'Instrucciones',
	top:'30%',left:'5%',width:'38%',height:'13%'
});
var bListo= Ti.UI.createButton({
	title: 'Listo',
	top:'30%',left:'45%',width:'24%',height:'13%'
});
var bSiguiente= Ti.UI.createButton({
	title: 'Siguiente',
	top:'30%',left:'71%',width:'24%',height:'13%'
});
var bCuadro= Titanium.UI.createImageView({
		image:'cuadro.png',
	top:'60%',left:'60%',width:'35%',height:'35%'
});
var Text1= Ti.UI.createLabel({
	text : 'Texto1', top:'62%',left:'5%',width:'54%',height:'auto',
    font : {fontFamily:'Marker Felt', fontWeight:'bold'},
});
var Text2= Ti.UI.createLabel({
	text : 'texto2', top:'73%',left:'5%',width:'54%',height:'auto',
    font : {fontFamily:'Marker Felt', fontWeight:'bold'},
});
var Text3= Ti.UI.createLabel({
	text : 'texto3', top:'84%',left:'5%',width:'54%',height:'auto',
    font : {fontFamily:'Marker Felt', fontWeight:'bold'},
});

var img1= Titanium.UI.createImageView({
	image:'abeja.png',
	top: alto*.45,left:ancho*.15,width:ancho*.1,height:alto*.09
});
var img2= Titanium.UI.createImageView({
	image:'vaca.png',
	top:alto*.45,left:ancho*.45,width:ancho*.1,height:alto*.09
});
var img3= Titanium.UI.createImageView({
	image:'perro.png',
	top:alto*.45,left:ancho*.75,width:ancho*.1,height:alto*.09
});






     var touch = Ti.UI.createView({
        backgroundColor: 'transparent'
    });



win1.add(tTitulo);
win1.add(bCuadro);
win1.add(Text1);
win1.add(Text2);
win1.add(Text3);
win1.add(img1);
win1.add(img2);
win1.add(img3);
win1.add(touch);//------arriba de esto
win1.add(bInstrucciones);
win1.add(bListo);
win1.add(bSiguiente);


bListo.addEventListener('click',function(e)
{
	var puntos=0;
	if((img1.top+alto*.06>=alto*.60)&&(img1.top+alto*.06<=alto*.716))
	{
		if((img1.left+ancho*.05>=ancho*.60)&&(img1.left+ancho*.05<=ancho*.95))
		{
		puntos=puntos+1;
		}
	}
	if((img2.top+alto*.06>=alto*.717)&&(img2.top+alto*.06<=alto*.832))
	{
		if((img2.left+ancho*.05>=ancho*.60)&&(img2.left+ancho*.05<=ancho*.95))
		{
		puntos=puntos+1;
		}
	}
		if((img3.top+alto*.06>=alto*.833)&&(img3.top+alto*.06<=alto*.95))
	{
		if((img3.left+ancho*.05>=ancho*.60)&&(img3.left+ancho*.05<=ancho*.95))
		{
		puntos=puntos+1;
		}
	}
	switch(puntos)
	{
		case 0: alert("Eres un pinche imbecil sin solucion...como el luber");
		break;
		case 1: alert("La cagaste en 2 pendejo");
		break;
		case 2: alert("Te equivocaste en 1 wey");
		break;
		case 3: alert("Eres la verga...como el daniel");
		break;
	}
	

});


bSiguiente.addEventListener('click',function(e)
{
	generar();
	});

var centrox1,centroy1,centrox2,centroy2,centrox3,centroy3;
var indicador=0;
//overlay.addEventListener('click', function(e) {
	touch.addEventListener('touchmove', mover);
	touch.addEventListener('click', function(e) {
		if(e.x>img1.left && e.x<(img1.left + img1.width))
		{
			if(e.y>img1.top && e.y<(img1.top+ img1.height))
			{
				if(indicador!=1)
				{ indicador=1; img1.image=imagenes[pruebas[0]]+'1.png';}
				else{ indicador=0;img1.image=imagenes[pruebas[0]]+'.png';}
			}	
		}
		if(e.x>img2.left && e.x<(img2.left + img2.width))
		{
			if(e.y>img2.top && e.y<(img2.top+ img2.height))
			{
			   	if(indicador!=2)
				{ indicador=2; img2.image=imagenes[pruebas[1]]+'1.png';}
				else{ indicador=0;img2.image=imagenes[pruebas[1]]+'.png';}
			}	
		}
		if(e.x>img3.left && e.x<(img3.left + img3.width))
		{
			if(e.y>img3.top && e.y<(img3.top+ img3.height))
			{
			   	if(indicador!=3)
				{ indicador=3; img3.image=imagenes[pruebas[2]]+'1.png';}
				else{ indicador=0;img3.image=imagenes[pruebas[2]]+'.png';}
			}	
		}
		


	
	});
//});

function mover(evt) {

        switch(indicador)
        {
        	case 1:
        	img1.top= evt.y- (alto*.06);
        	img1.left= evt.x- (ancho*.05);
        	break;
        	case 2:
        	img2.top= evt.y- (alto*.06);
        	img2.left= evt.x- (ancho*.05);
        	break;
        	case 3:
        	img3.top= evt.y- (alto*.06);
        	img3.left= evt.x- (ancho*.05);
        	break;
        }
      
     }

generar();

function generar()
{
	
	var iniciales= new Array(ancho*.15,ancho*.45,ancho*.75);
	
	
var numP,sup,inf,rnd;
var aleat;
sup=2;
inf=0;
numP = sup - inf; 
rnd = Math.random() * numP;
	rnd = Math.round(rnd);
	aleat= parseInt(inf) + rnd;
pruebas[0]=aleat;
img1.left= iniciales[aleat];
do
{ 
	rnd = Math.random() * numP;
	rnd = Math.round(rnd);
	aleat= parseInt(inf) + rnd;
pruebas[1]=aleat;
img2.left= iniciales[aleat];
}while(pruebas[1]==pruebas[0]);
do{
do
{ 
	rnd = Math.random() * numP;
	rnd = Math.round(rnd);
	aleat= parseInt(inf) + rnd;
pruebas[2]=aleat;
img3.left= iniciales[aleat];
}while(pruebas[2]==pruebas[0]);
}while(pruebas[2]==pruebas[1]);


img1.top=alto*.45;
img2.top=alto*.45;
img3.top=alto*.45;




sup=9;
inf=0;
numP = sup - inf; 

	rnd = Math.random() * numP;
	rnd = Math.round(rnd);
	aleat= parseInt(inf) + rnd;
pruebas[0]=aleat;


do
{ 
	rnd = Math.random() * numP;
	rnd = Math.round(rnd);
	aleat= parseInt(inf) + rnd;
pruebas[1]=aleat;
}while(pruebas[1]==pruebas[0]);
do{
do
{ 
	rnd = Math.random() * numP;
	rnd = Math.round(rnd);
	aleat= parseInt(inf) + rnd;
pruebas[2]=aleat;
}while(pruebas[2]==pruebas[0]);
}while(pruebas[2]==pruebas[1]);

Text1.text=conceptos[pruebas[0]];
Text2.text=conceptos[pruebas[1]];
Text3.text=conceptos[pruebas[2]];
img1.image= imagenes[pruebas[0]]+'.png';
img2.image= imagenes[pruebas[1]]+'.png';
img3.image= imagenes[pruebas[2]]+'.png';


}



win1.open();
